Bug 1300089 - [abrt] mintmenu: module.py:120:__init__:RepositoryError: Requiring namespace 'Gtk' version '3.0', but '2.0' is already loaded
[abrt] mintmenu: module.py:120:__init__:RepositoryError: Requiring namespace ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mintmenu (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e337348486de39b88392f38f9fa...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-19 18:14 EST by ssabchew
Modified: 2016-02-25 03:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-25 03:37:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (806 bytes, text/plain)
2016-01-19 18:14 EST, ssabchew
no flags Details
File: environ (1.74 KB, text/plain)
2016-01-19 18:14 EST, ssabchew
no flags Details

  None (edit)
Description ssabchew 2016-01-19 18:14:20 EST
Version-Release number of selected component:
mintmenu-5.6.5-1.fc23

Additional info:
reporter:       libreport-2.6.3
cmdline:        /usr/bin/python2 /usr/share/linuxmint/mintMenu/mintMenu.py
dso_list:       python-gobject-base-3.18.2-1.fc23.x86_64
executable:     /usr/share/linuxmint/mintMenu/mintMenu.py
kernel:         4.3.3-300.fc23.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
module.py:120:__init__:RepositoryError: Requiring namespace 'Gtk' version '3.0', but '2.0' is already loaded

Traceback (most recent call last):
  File "/usr/share/linuxmint/mintMenu/mintMenu.py", line 7, in <module>
    from gi.repository import MatePanelApplet
  File "/usr/lib64/python2.7/site-packages/gi/importer.py", line 114, in load_module
    introspection_module = get_introspection_module(namespace)
  File "/usr/lib64/python2.7/site-packages/gi/module.py", line 271, in get_introspection_module
    module = IntrospectionModule(namespace, version)
  File "/usr/lib64/python2.7/site-packages/gi/module.py", line 120, in __init__
    repository.require(namespace, version)
RepositoryError: Requiring namespace 'Gtk' version '3.0', but '2.0' is already loaded

Local variables in innermost frame:
Comment 1 ssabchew 2016-01-19 18:14:24 EST
Created attachment 1116410 [details]
File: backtrace
Comment 2 ssabchew 2016-01-19 18:14:25 EST
Created attachment 1116411 [details]
File: environ
Comment 3 Wolfgang Ulbrich 2016-01-25 10:56:24 EST
Can you please post mate-panel version?
rpm -qa mate-panel
Comment 4 ssabchew 2016-02-25 01:46:49 EST
Hi the version was 1.12.1-12.fc23.
Now I upgraded it to 1.13.1-11.fc23.
Comment 5 Wolfgang Ulbrich 2016-02-25 03:37:29 EST
Mintmenu isn't ported to gtk3 and does not work with gtk3 panel.
And please do not post issues with MATE gtk3 version forom copr repo here, this is not allowed by fedora.
Use github for this.

Note You need to log in before you can comment on or make changes to this bug.